Loading...
Searching...
No Matches
options.c File Reference
`#include <errno.h>`
`#include <limits.h>`
`#include <stdbool.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "structs/options.h"`
`#include "log.h"`

Go to the source code of this file.

## Functions

aaru_options | parse_options (const char *options, bool *table_shift_found)
| Parses the options string for AaruFormat image creation/opening.

## Function Documentation

## parse_options()

aaru_options parse_options | ( | const char * | options,
|  | bool * | table_shift_found )

Parses the options string for AaruFormat image creation/opening.

Parses the options string and returns a struct with the parsed options for image creation or opening.

Parameters

  options | String with options to parse (may be NULL).

Returns
  Parsed options as an aaru_options struct.

Definition at line 38 of file options.c.

References aaru_options::blake3, aaru_options::block_alignment, aaru_options::compress, aaru_options::data_shift, aaru_options::deduplicate, aaru_options::dictionary, aaru_options::md5, aaru_options::sha1, aaru_options::sha256, aaru_options::spamsum, aaru_options::table_shift, and TRACE.

Referenced by aaruf_create(), and aaruf_open().